Groups
Propose creating groups
[Admin Only] Creates a proposal to add new groups to the organization. Only admin API members can make requests to this endpoint.
POST
/
groups
/
proposals
/
create
cURL
curl --request POST \
--url https://api.onchainden.com/api/v1/groups/proposals/create \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Idempotency-Key: <x-idempotency-key>' \
--data '
{
"items": [
{
"name": "Finance Team",
"memberIds": [
"mem_1",
"mem_2"
]
}
]
}
'const client = new DenClient({ apiKey: 'ck_live_...' });
const proposal = await client.proposeGroupCreation({
items: [{ name: 'Finance Team', memberIds: ['mem_1', 'mem_2'] }],
});
{
"data": {
"id": "prop_grp_create_123",
"resourceType": "groups",
"action": "create",
"signatureStatus": "approvalReady",
"executionStatus": "completed",
"threshold": 2,
"approvals": [],
"rejections": [],
"createdAt": "2026-01-18T00:00:00.000Z",
"expiresAt": "2026-01-25T00:00:00.000Z",
"data": {
"items": [
{
"name": "Finance Team",
"memberIds": [
"mem_1",
"mem_2"
]
}
]
},
"result": {
"resolution": "approved",
"resources": [
{
"type": "group",
"id": "grp_new1",
"uri": "/api/v1/groups/grp_new1"
}
]
}
}
}Authorizations
API key authentication. Include your API key in the Authorization header.
Headers
Idempotency key for safely retrying mutation requests.
Body
application/json
List of groups to create
Show child attributes
Show child attributes
Response
Group creation proposal created
Show child attributes
Show child attributes
Example:
{
"id": "prop_grp_create_123",
"resourceType": "groups",
"action": "create",
"signatureStatus": "approvalReady",
"executionStatus": "completed",
"threshold": 2,
"approvals": [],
"rejections": [],
"createdAt": "2026-01-18T00:00:00.000Z",
"expiresAt": "2026-01-25T00:00:00.000Z",
"data": {
"items": [
{
"name": "Finance Team",
"memberIds": ["mem_1", "mem_2"]
}
]
},
"result": {
"resolution": "approved",
"resources": [
{
"type": "group",
"id": "grp_new1",
"uri": "/api/v1/groups/grp_new1"
}
]
}
}
⌘I
cURL
curl --request POST \
--url https://api.onchainden.com/api/v1/groups/proposals/create \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Idempotency-Key: <x-idempotency-key>' \
--data '
{
"items": [
{
"name": "Finance Team",
"memberIds": [
"mem_1",
"mem_2"
]
}
]
}
'const client = new DenClient({ apiKey: 'ck_live_...' });
const proposal = await client.proposeGroupCreation({
items: [{ name: 'Finance Team', memberIds: ['mem_1', 'mem_2'] }],
});
{
"data": {
"id": "prop_grp_create_123",
"resourceType": "groups",
"action": "create",
"signatureStatus": "approvalReady",
"executionStatus": "completed",
"threshold": 2,
"approvals": [],
"rejections": [],
"createdAt": "2026-01-18T00:00:00.000Z",
"expiresAt": "2026-01-25T00:00:00.000Z",
"data": {
"items": [
{
"name": "Finance Team",
"memberIds": [
"mem_1",
"mem_2"
]
}
]
},
"result": {
"resolution": "approved",
"resources": [
{
"type": "group",
"id": "grp_new1",
"uri": "/api/v1/groups/grp_new1"
}
]
}
}
}